
QGIS Application - Bug report #8267

Line breaks in Metadata Title and Abstract

2013-07-11 03:07 AM - andskog -

Status: Closed

Priority: Normal

Assignee:

Category: Project Loading/Saving

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17070

Description

When typing abstracts and title (although line breaks not always logic) in the Metadata tab in the layer properties, and including line

breaks, new line breaks () will be added by themselves whenever the project file is saved. This means that over time, when a project has

been saved lots of times, there will be a lot more line breaks in the metadata than intended.

The bug seems to occur when a line in the project file ends with the linebreak sign, and typically two line break signs are added when

project file is saved. To avoid the bug, I have to edit the project file in a text editor, and make sure that the physical line breaks, which

comes in addition to the line break sign in the project file, are removed so that the next line in the metadata follows after the line break sign

on the first line. As this:

Line 1

Line 2

 --->

Line 1Line 2

Related issues:

Related to QGIS Application - Bug report # 8518: OWS tab - Abstract field of ... Closed 2013-08-27

Duplicates QGIS Application - Bug report # 6407: Sometimes QGIS inserts extra... Closed 2012-09-24

Associated revisions

Revision d62a4981 - 2014-06-23 12:32 AM - Jürgen Fischer

don't write project files with native line endings on windows

(fixes #6407, fixes #7735, fixes #8267)

History

#1 - 2014-06-21 05:47 AM - Jürgen Fischer

- Category set to Project Loading/Saving

#2 - 2014-06-22 03:33 PM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"d62a49810e6117d3b3815c9c2367f7ac745f054b".
